libusb1_common, ftdi: clarify libusb_open error message30/1430/6
authorPaul Fertser <fercerpav@gmail.com>
Fri, 31 May 2013 10:57:56 +0000 (14:57 +0400)
committerSpencer Oliver <spen@spen-soft.co.uk>
Wed, 12 Jun 2013 14:40:16 +0000 (14:40 +0000)
commit71ee5f6b5f3172901135640de4ca827b14747465
tree6c7ce79d61ecbeb613c5ff78281238ed1006dcb0
parent703781c5abaa7e3a93e56e179c2eb4fca53b7550
libusb1_common, ftdi: clarify libusb_open error message

Print a user-friendly message when libusb_open() fails, e.g.
Error: libusb_open() failed with LIBUSB_ERROR_ACCESS
when there's a permissions problem.

Also output a configure warning if libusb older than 1.0.9 is detected.

Change-Id: I800f71f06672fe06c0a98a4e469f853b5021bcfe
Signed-off-by: Paul Fertser <fercerpav@gmail.com>
Reviewed-on: http://openocd.zylin.com/1430
Tested-by: jenkins
Reviewed-by: Spencer Oliver <spen@spen-soft.co.uk>
configure.ac
src/helper/replacements.c
src/helper/replacements.h
src/jtag/drivers/libusb1_common.c
src/jtag/drivers/mpsse.c